globus_gss_assist_constants(3)

NAME
globus_gss_assist_constants - GSI GSS Assist Constants

 - Constant Definitions.

SYNOPSIS

  Enumerations

enum globus_gsi_gss_assist_error_t { GLOBUS_GSI_GSS_ASSIST_ERROR_SUCCESS = 0, GLOBUS_GSI_GSS_ASSIST_ERROR_WITH_ARGUMENTS = 1, GLOBUS_GSI_GSS_ASSIST_ERROR_USER_ID_DOESNT_MATCH = 2, GLOBUS_GSI_GSS_ASSIST_ERROR_IN_GRIDMAP_NO_USER_ENTRY = 3, GLOBUS_GSI_GSS_ASSIST_ERROR_WITH_GRIDMAP = 4, GLOBUS_GSI_GSS_ASSIST_ERROR_INVALID_GRIDMAP_FORMAT = 5, GLOBUS_GSI_GSS_ASSIST_ERROR_ERRNO = 6, GLOBUS_GSI_GSS_ASSIST_ERROR_WITH_INIT = 7, GLOBUS_GSI_GSS_ASSIST_ERROR_WITH_WRAP = 8, GLOBUS_GSI_GSS_ASSIST_ERROR_WITH_TOKEN = 9, GLOBUS_GSI_GSS_ASSIST_ERROR_EXPORTING_CONTEXT = 10, GLOBUS_GSI_GSS_ASSIST_ERROR_IMPORTING_CONTEXT = 11, GLOBUS_GSI_GSS_ASSIST_ERROR_INITIALIZING_CALLOUT_HANDLE = 12, GLOBUS_GSI_GSS_ASSIST_ERROR_WITH_CALLOUT_CONFIG = 13, GLOBUS_GSI_GSS_ASSIST_CALLOUT_ERROR = 14, GLOBUS_GSI_GSS_ASSIST_GSSAPI_ERROR = 15, GLOBUS_GSI_GSS_ASSIST_GRIDMAP_LOOKUP_FAILED = 16, GLOBUS_GSI_GSS_ASSIST_BUFFER_TOO_SMALL = 17, GLOBUS_GSI_GSS_ASSIST_ERROR_CANONICALIZING_HOSTNAME = 18, GLOBUS_GSI_GSS_ASSIST_ERROR_LAST = 19 }

Detailed Description

Constant Definitions.

Enumeration Type Documentation

  enum globus_gsi_gss_assist_error_t
GSI GSS Assist Error codes

Enumerator

GLOBUS_GSI_GSS_ASSIST_ERROR_SUCCESS
    Success

GLOBUS_GSI_GSS_ASSIST_ERROR_WITH_ARGUMENTS
    No user entry in gridmap file

GLOBUS_GSI_GSS_ASSIST_ERROR_USER_ID_DOESNT_MATCH
    Error user ID doesn't match

GLOBUS_GSI_GSS_ASSIST_ERROR_IN_GRIDMAP_NO_USER_ENTRY
    Error with arguments passed to function

GLOBUS_GSI_GSS_ASSIST_ERROR_WITH_GRIDMAP
    Error querying gridmap file

GLOBUS_GSI_GSS_ASSIST_ERROR_INVALID_GRIDMAP_FORMAT
    Invalid gridmap file format

GLOBUS_GSI_GSS_ASSIST_ERROR_ERRNO
    System Error

GLOBUS_GSI_GSS_ASSIST_ERROR_WITH_INIT
    Error during context initialization

GLOBUS_GSI_GSS_ASSIST_ERROR_WITH_WRAP
    Error during message wrap

GLOBUS_GSI_GSS_ASSIST_ERROR_WITH_TOKEN
    Error with token

GLOBUS_GSI_GSS_ASSIST_ERROR_EXPORTING_CONTEXT
    Error exporting context

GLOBUS_GSI_GSS_ASSIST_ERROR_IMPORTING_CONTEXT
    Error importing context

GLOBUS_GSI_GSS_ASSIST_ERROR_INITIALIZING_CALLOUT_HANDLE
    Error initializing callout handle

GLOBUS_GSI_GSS_ASSIST_ERROR_WITH_CALLOUT_CONFIG
    Error reading callout configuration

GLOBUS_GSI_GSS_ASSIST_CALLOUT_ERROR
    Error invoking callout

GLOBUS_GSI_GSS_ASSIST_GSSAPI_ERROR
    A GSSAPI returned an error

GLOBUS_GSI_GSS_ASSIST_GRIDMAP_LOOKUP_FAILED
    Gridmap lookup failure

GLOBUS_GSI_GSS_ASSIST_BUFFER_TOO_SMALL
    Caller provided insufficient buffer space for local identity

GLOBUS_GSI_GSS_ASSIST_ERROR_CANONICALIZING_HOSTNAME
    Failed to obtain canonical host name

Author

Generated automatically by Doxygen for globus_gss_assist from the source code.